# SourcePath: coreutils/20070907dev
Summary: GNU core utilities.
Name: sony-target-dev-coreutils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-coreutils
Version: 6.9
Release: 14010002
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.gnu.org/software/coreutils
Source0: coreutils-%{version}.tar.bz2
Patch: coreutils-%{version}-futimens-for-glibc-2.7.patch
#Patch1: coreutils-aarch64-build-error-fix.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
This package is the union of the GNU fileutils, sh-utils,
and textutils packages.

%package -n %{pkgname}
Summary: GNU core utilities.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This package is the union of the GNU fileutils, sh-utils,
and textutils packages.

%prep
%setup -q -n coreutils-%{version}
%patch -p1
#%patch1 -p1

%build
%{sony_target_dev_setup}
#ac_cv_func_setvbuf_reversed=no
#export ac_cv_func_setvbuf_reversed
export fu_cv_sys_stat_statfs2_bsize=yes

export ac_cv_func_getgroups_works=yes
export ac_cv_func_malloc_0_nonnull=yes
export ac_cv_func_chown_works=yes
export gl_cv_func_getcwd_null=yes
export ac_cv_func_utime_null=yes
export gl_cv_func_working_utimes=yes
export ac_cv_func_calloc_0_nonnull=yes

export ac_cv_func_lstat_dereferences_slashed_symlink=yes
export ac_cv_func_memcmp_working=yes
export ac_cv_func_strcoll_works=yes
export gl_cv_func_working_mkstemp=yes
export ac_cv_func_working_mktime=yes

export ac_cv_func_realloc_0_nonnull=yes
export ac_cv_func_strnlen_working=yes
export ac_cv_func_strtod=yes
export jm_cv_func_unlink_busy_text=yes
export jm_cv_have_proc_uptime=yes
export jm_cv_func_svid_putenv=yes


export ac_cv_func_lstat_empty_string_bug=no
export gl_cv_func_gettimeofday_clobber=no
export jm_ac_cv_func_link_follows_symlink=no
export gl_cv_func_mkdir_trailing_slash_bug=no

export gl_cv_func_rename_trailing_slash_bug=no
export gl_cv_func_rename_trailing_dest_slash_bug=no
export gl_cv_func_tzset_clobber=no
export utils_cv_localtime_cache=no

%{sony_target_dev_configure} --without-included-regex \
	--enable-maintainer-mode -v \
	| tee ../build.log

make CFLAGS="-O2" | tee -a ../build.log

%install
rm -rf %{buildroot}
%{sony_target_dev_setup}
%{sony_target_dev_makeinstall} | tee -a ../build.log

# busybox command conflict
# mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin
# mv %{buildroot}%{sony_target_dir}/%{sony_target_dev_bin_dir}/{chgrp,chmod,chown,cp,dd,df,dir,ln,ls,mkdir,mknod,mv,rm,rmdir,sync,touch,vdir} %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_local_dir}/bin
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/info
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/mkfifo %{buildroot}%{sony_target_dir}%{sony_target_dev_local_dir}/bin/mkfifo

mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/cut  %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/md5sum  %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/sort  %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/uniq  %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/wc  %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/

mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/basename %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/basename
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/dirname %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/dirname
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/env %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/env
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/expr %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/expr
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/test %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/test

mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/[ %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/[
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/readlink %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/readlink
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/sha1sum %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/sha1sum
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/kill %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/kill
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/tail %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/tail

rm %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/uptime

mkdir -p %{buildroot}%{sony_target_dir}/bin

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
# textutils
%{sony_target_dir}%{sony_target_dev_bin_dir}/cat
%{sony_target_dir}%{sony_target_dev_bin_dir}/cksum
%{sony_target_dir}%{sony_target_dev_bin_dir}/comm
%{sony_target_dir}%{sony_target_dev_bin_dir}/csplit
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/cut
%{sony_target_dir}%{sony_target_dev_bin_dir}/expand
%{sony_target_dir}%{sony_target_dev_bin_dir}/fmt
%{sony_target_dir}%{sony_target_dev_bin_dir}/fold
%{sony_target_dir}%{sony_target_dev_bin_dir}/head
%{sony_target_dir}%{sony_target_dev_bin_dir}/join
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/md5sum
%{sony_target_dir}%{sony_target_dev_bin_dir}/nl
%{sony_target_dir}%{sony_target_dev_bin_dir}/od
%{sony_target_dir}%{sony_target_dev_bin_dir}/paste
%{sony_target_dir}%{sony_target_dev_bin_dir}/pr
%{sony_target_dir}%{sony_target_dev_bin_dir}/ptx
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/sort
%{sony_target_dir}%{sony_target_dev_bin_dir}/split
%{sony_target_dir}%{sony_target_dev_bin_dir}/sum
%{sony_target_dir}%{sony_target_dev_bin_dir}/tac
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/tail
%{sony_target_dir}%{sony_target_dev_bin_dir}/tr
%{sony_target_dir}%{sony_target_dev_bin_dir}/tsort
%{sony_target_dir}%{sony_target_dev_bin_dir}/unexpand
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/uniq
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/wc
# fileutils
%{sony_target_dir}%{sony_target_dev_bin_dir}/chgrp
%{sony_target_dir}%{sony_target_dev_bin_dir}/chmod
%{sony_target_dir}%{sony_target_dev_bin_dir}/chown
%{sony_target_dir}%{sony_target_dev_bin_dir}/cp
%{sony_target_dir}%{sony_target_dev_bin_dir}/dd
%{sony_target_dir}%{sony_target_dev_bin_dir}/df
%{sony_target_dir}%{sony_target_dev_bin_dir}/dir
%{sony_target_dir}%{sony_target_dev_bin_dir}/ln
%{sony_target_dir}%{sony_target_dev_bin_dir}/ls
%{sony_target_dir}%{sony_target_dev_bin_dir}/mkdir
%{sony_target_dir}%{sony_target_dev_bin_dir}/mknod
%{sony_target_dir}%{sony_target_dev_bin_dir}/mv
%{sony_target_dir}%{sony_target_dev_bin_dir}/rm
%{sony_target_dir}%{sony_target_dev_bin_dir}/rmdir
%{sony_target_dir}%{sony_target_dev_bin_dir}/sync
%{sony_target_dir}%{sony_target_dev_bin_dir}/touch
%{sony_target_dir}%{sony_target_dev_bin_dir}/vdir
%{sony_target_dir}%{sony_target_dev_bin_dir}/dircolors
%{sony_target_dir}%{sony_target_dev_bin_dir}/du
%{sony_target_dir}%{sony_target_dev_bin_dir}/install
%{sony_target_dir}%{sony_target_dev_bin_dir}/link
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/mkfifo
%{sony_target_dir}%{sony_target_dev_bin_dir}/shred
%{sony_target_dir}%{sony_target_dev_bin_dir}/unlink
# shellutils
%{sony_target_dir}%{sony_target_dev_bin_dir}/chroot
%{sony_target_dir}%{sony_target_dev_bin_dir}/date
%{sony_target_dir}%{sony_target_dev_bin_dir}/echo
%{sony_target_dir}%{sony_target_dev_bin_dir}/false
%{sony_target_dir}%{sony_target_dev_bin_dir}/pwd
%{sony_target_dir}%{sony_target_dev_bin_dir}/sleep
%{sony_target_dir}%{sony_target_dev_bin_dir}/stty
%{sony_target_dir}%{sony_target_dev_bin_dir}/true
%{sony_target_dir}%{sony_target_dev_bin_dir}/hostname
%{sony_target_dir}%{sony_target_dev_bin_dir}/uname
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/basename
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/dirname
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/env
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/expr
%{sony_target_dir}%{sony_target_dev_bin_dir}/factor
%{sony_target_dir}%{sony_target_dev_bin_dir}/groups
%{sony_target_dir}%{sony_target_dev_bin_dir}/hostid
%{sony_target_dir}%{sony_target_dev_bin_dir}/id
%{sony_target_dir}%{sony_target_dev_bin_dir}/logname
%{sony_target_dir}%{sony_target_dev_bin_dir}/nice
%{sony_target_dir}%{sony_target_dev_bin_dir}/nohup
%{sony_target_dir}%{sony_target_dev_bin_dir}/pathchk
%{sony_target_dir}%{sony_target_dev_bin_dir}/pinky
%{sony_target_dir}%{sony_target_dev_bin_dir}/printenv
%{sony_target_dir}%{sony_target_dev_bin_dir}/printf
%{sony_target_dir}%{sony_target_dev_bin_dir}/seq
%{sony_target_dir}%{sony_target_dev_bin_dir}/tee
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/test
%{sony_target_dir}%{sony_target_dev_bin_dir}/tty
%{sony_target_dir}%{sony_target_dev_bin_dir}/users
%{sony_target_dir}%{sony_target_dev_bin_dir}/who
%{sony_target_dir}%{sony_target_dev_bin_dir}/whoami
%{sony_target_dir}%{sony_target_dev_bin_dir}/yes
#
%{sony_target_dir}%{sony_target_dev_bin_dir}/stat
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/[
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/kill
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/sha1sum
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/readlink
%{sony_target_dir}%{sony_target_dev_bin_dir}/base64
%{sony_target_dir}%{sony_target_dev_bin_dir}/sha224sum
%{sony_target_dir}%{sony_target_dev_bin_dir}/sha256sum
%{sony_target_dir}%{sony_target_dev_bin_dir}/sha384sum
%{sony_target_dir}%{sony_target_dev_bin_dir}/sha512sum
%{sony_target_dir}%{sony_target_dev_bin_dir}/shuf


%changelog
* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Thu Jun 22 2017 Sony Corporation
- Updated config.guess and config.sub for aarch64

* Tue Jul 13 2010 Sony Corporation
- Removed CE-3.X, CE-4.X, CE-5.0, CE6.0 support for main trunk

* Tue Jun 26 2009 Sony Corporation
- Delete symbolic link to /bin/stty

* Tue Mar 18 2008 Sony Corporation
- CE-5.X: Added coreutils futimens patch to build on glibc-2.7

* Thu Oct 04 2007 Sony Corporation
- version-up 5.97 -> 6.9

* Wed Jun 13 2007 Sony Corporation
- Add symbolic link to /bin/stty

* Wed Feb 28 2007 Sony Corporation
- Change install location of tail to /devel/usr/local/bin

* Fri Jul 28 2006 Sony Corporation
- Initial build.

